<!DOCTYPE html>
<html lang="zxx">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="description" content="">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Title -->
    <title> Executive Search | FlexiPersonnel </title>

    <!-- Start Head -->
    <?php
    include('inc/head.php');
    ?>
    <!-- End Head -->
    
</head>
<body>
    <div class="page-wrapper">

       

        <!-- Start Header -->
        <?php
        include('inc/header.php');
        ?>
        <!-- End Header -->

       
        
        <!-- Hero Section Start -->
        <section class="hero-area bgc-gray rel z-1">
            <div class="container-fluid">
                <div class="row align-items-center">
                    <div class="col-lg-5 align-self-center">
                        <div class="hero-content pt-50 pb-50 rpb-20 rpt-20 wow fadeInUp delay-0-4s">
                            <h1>Executive <span class="primary-color">search</span></h1>
                            <p>You need to get it right on the first shot when looking for a great leader! 
                                Our Executive Search service finds exceptional leaders who are in tune with your market and the 
                                culture fit for your organization. With our expertise, we have clients in different industries across
                                 Africa where we bring in leadership at every level, including CEOs, Directors, and C-Suite Positions
                                  leaders.</p>
                            <a href="#getStartedForm" class="theme-btn mt-10 wow fadeInUp delay-0-6s"><span class="white-color">Get Started</span> <i class="fas fa-arrow-circle-right" style="font-size:20px;"></i></a>
                           
                        </div>
                    </div>
                    <div class="col-lg-7 align-self-center">
                        <div class="hero-images wow fadeInLeft delay-0-2s">
                            <img src="assets/images/flexipersonnel/services-banner.png" alt="Hero">
                        </div>
                    </div>
                </div>
            </div>
           
        </section>
        <!-- Hero Section End -->

        <!-- Makes Us Different Start -->
        <section class="services-area-five pt-40 rpt-30 pb-40 rpb-20 rel z-2">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6 align-self-center">
                        <div class="consultations-video hero-images wow fadeInLeft delay-0-2s">
                            <img src="assets/images/flexipersonnel/about-us-banner.png" alt="Hero">
                            <a href="https://www.youtube.com/watch?v=-J5rHlCDkto" class="mfp-iframe video-play"><i class="fas fa-play"></i></a>
                        </div> 
                    </div>
                    <div class="col-lg-6 align-self-center">
                        <div class="section-title mb-55 rmb-20 wow fadeInUp delay-0-2s"> 
                            <h2>What makes us different?</h2>
                            <p>With our experience in the different African countries of operation, we have earned a reputation for 
                                successfully managing highly sensitive and intricate retained search assignments for Board, CEO, and
                                 C-suite positions. Our track record of excellence in handling confidential searches is unparalleled,
                                  and we are proud to have earned the trust and confidence of our clients.</p>
                            <p>Whether navigating complex organisational structures or identifying top-tier candidates who can help 
                                take your business to the next level, our experienced team is equipped to handle even the most 
                                challenging executive search assignments with discretion and professionalism.</p>
                        </div>
                    </div>
                </div>
                
            </div>
        </section>
        <!-- Makes Us Different Area End -->


        <!-- Accordion start -->
        <section class="about-area-four pt-20 pb-30 rpt-30 rpb-30  rel z-2">
            <div class="container">
                <div class="row align-items-center">
                    
                    <div class="col-xl-12 col-lg-12">
                        <div class="about-four-content rmb-10  rel z-1 wow fadeInLeft delay-0-2s">
                            <div class="accordion" id="myAccordion">
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingOne">
                                        <button type="button" class="accordion-button" data-bs-toggle="collapse" data-bs-target="#collapseOne">
                                        <i class="fas fa-user pr-10" aria-hidden="true"></i> Benefits of Having Flexi- Personnel as Your Executive Search Partner</button>									
                                    </h2>
                                    <div id="collapseOne" class="accordion-collapse collapse show" data-bs-parent="#myAccordion">
                                        <div class="card-body">
                                            <div class="row">
                                                <div class="col-lg-12 col-12">
                                                    <div class="d-flex">
                                                        <div class="pr-10">
                                                            <img src="assets/images/flexipersonnel/icons/checkmark.png" style="max-width:inherit;" alt="icons">
                                                        </div>
                                                        <div>
                                                            <h5>Access to a global network of top-tier candidates</h5>
                                                            <p>We have extensive networks of high-level professionals across the African Region. This means we can tap into a much wider pool of candidates and find the perfect-fit leader for your organization, no matter where they are.</p> 
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-12 col-12">
                                                    <div class="d-flex">
                                                        <div class="pr-10">
                                                            <img src="assets/images/flexipersonnel/icons/checkmark.png" style="max-width:inherit;" alt="icons">
                                                        </div>
                                                        <div>
                                                            <h5>Expertise in identifying and assessing top talent</h5>
                                                            <p>Our team of experienced search consultants who have a high-level of expertise in identifying and assessing high-potential candidates. They have the skills and knowledge to determine whether a candidate has the necessary skills, experience, and cultural fit to thrive in your organization.</p>  
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-12 col-12">
                                                    <div class="d-flex">
                                                        <div class="pr-10">
                                                            <img src="assets/images/flexipersonnel/icons/checkmark.png" style="max-width:inherit;" alt="icons">
                                                        </div>
                                                        <div>
                                                            <h5>A streamlined, efficient process</h5>
                                                            <p>With over 15 years in the business, we have a well-tested and proven process for identifying, screening, and presenting candidates. This means you can quickly and efficiently fill critical leadership roles without the hassle of wading through stacks of resumes or interviewing unqualified candidates.</p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-lg-12 col-12">
                                                    <div class="d-flex">
                                                        <div class="pr-10">
                                                            <img src="assets/images/flexipersonnel/icons/checkmark.png" alt="icons" style="max-width:inherit;">
                                                        </div>
                                                        <div>
                                                            <h5>Confidentiality and discretion</h5>
                                                            <p>At Flexi - Personnel, we prioritize confidentiality and discretion throughout the hiring process. We know this is important for executive-level positions, where announcing an open position could impact current employees, clients, or competitors. We conduct a confidential search and present a list of pre-screened candidates without revealing your company's identity.</p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-lg-12 col-12">
                                                    <div class="d-flex">
                                                        <div class="pr-10">
                                                            <img src="assets/images/flexipersonnel/icons/checkmark.png" style="max-width:inherit;" alt="icons">
                                                        </div>
                                                        <div>
                                                            <h5>Excellence</h5>
                                                            <p>We seek to excel in all that we do</p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingTwo">
                                        <button type="button" class="accordion-button collapsed" data-bs-toggle="collapse" data-bs-target="#collapseTwo">
                                        <i class="fas fa-user pr-10" aria-hidden="true"></i> Flexi - Personnel Executive Search Process</button>
                                    </h2>
                                    <div id="collapseTwo" class="accordion-collapse collapse" data-bs-parent="#myAccordion">
                                        <div class="card-body">
                                            
                                        </div>
                                    </div>
                                </div>
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingThree">
                                        <button type="button" class="accordion-button collapsed" data-bs-toggle="collapse" data-bs-target="#collapseThree">
                                        <i class="fas fa-user pr-10" aria-hidden="true"></i> Executive Roles We Do Placing For</button>                     
                                    </h2>
                                    <div id="collapseThree" class="accordion-collapse collapse" data-bs-parent="#myAccordion">
                                        <div class="card-body">
                                            
                                        </div>
                                    </div>
                                </div>
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingThree">
                                        <button type="button" class="accordion-button collapsed" data-bs-toggle="collapse" data-bs-target="#collapseThree">
                                        <i class="fas fa-user pr-10" aria-hidden="true"></i> The Industry Groups We Serve at Flexi- Personnel</button>                     
                                    </h2>
                                    <div id="collapseThree" class="accordion-collapse collapse" data-bs-parent="#myAccordion">
                                        <div class="card-body">
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        </div>
                    </div>
                    
                </div>
            </div>
        </section>
        <!-- Accordion end -->

        <!-- Why choose us Start -->
        <section class="services-area-five pt-40 rpt-30 pb-40 rpb-20 rel z-2 d-none d-sm-block">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="section-title text-center mb-55 rmb-20 wow fadeInUp delay-0-2s"> 
                            <h2>Why choose Flexi-Personnel executive search service?</h2>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-lg-6">
                        <div class="row">
                            <div class="col-lg-2 col-3">
                                <img src="assets/images/flexipersonnel/icons/executive.png" alt="Hero">
                            </div>
                            <div class="col-lg-10 col-9">
                                <h5>Unmatched expertise</h5>
                                <p>With years of experience in the executive search industry, our team has an unparalleled understanding of what it takes to identify and attract top-tier executive talent. We combine our industry expertise with a data-driven approach to deliver accurate and efficient results.</p> 
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="row">
                            <div class="col-lg-2 col-3">
                                <img src="assets/images/flexipersonnel/icons/executive-1.png" alt="Hero">
                            </div>
                            <div class="col-lg-10 col-9">
                                <h5>Comprehensive industry coverage</h5>
                                <p>We cover various industries and have experience working with clients across multiple sectors, from technology to healthcare to finance. Our comprehensive industry coverage means we can help you find top talent regardless of your business's specific needs or location.</p> 
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="row">
                            <div class="col-lg-2 col-3">
                                <img src="assets/images/flexipersonnel/icons/executive.png" alt="Hero">
                            </div>
                            <div class="col-lg-10 col-9">
                                <h5>Proven track record</h5>
                                <p>We have a proven track record of success in executive-level searches, having helped over 500 clients find the right talent for their organisations. Our firm's exceptional growth rate can be attributed to our ability to consistently outperform our competitors in every significant category of performance measurement. As a result, our clients have rated us higher in client satisfaction, a testament to our commitment to excellence in every aspect of our work.</p> 
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="row">
                            <div class="col-lg-2 col-3">
                                <img src="assets/images/flexipersonnel/icons/executive-1.png" alt="Hero">
                            </div>
                            <div class="col-lg-10 col-9">
                                <h5>Rigorous screening process</h5>
                                <p>Our executive search process is designed to be thorough and rigorous, ensuring we identify only the most qualified and best-fit candidates for your organisation. We use a range of psychometric assessments and evaluations to assess each candidate's skills, experience, and cultural fit, giving you the confidence that you're hiring the best person for the job</p> 
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="row">
                            <div class="col-lg-2 col-3">
                                <img src="assets/images/flexipersonnel/icons/executive-1.png" alt="Hero">
                            </div>
                            <div class="col-lg-10 col-9">
                                <h5>Competitive Pricing</h5>
                                <p>We offer competitive pricing for our executive search services, making it an affordable option for businesses of all sizes. Our pricing is transparent, with no hidden fees or charges, and we work with you to develop a customised search plan that fits within your budget.</p> 
                            </div>
                        </div>
                    </div>
                </div>
 
            </div>
        </section>
        <!-- Why choose us End -->

        <!-- Why choose us Area Start -->
        <section class="services-area-five text-center pt-40 rpt-30 pb-40 rpb-20 rel z-2 d-sm-none d-md-block d-md-none d-lg-block d-lg-none d-xl-block d-xl-none">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="section-title text-center mb-55 rmb-20 wow fadeInUp delay-0-2s"> 
                            <h2>Why choose Flexi-Personnel executive search service?</h2>
                        </div>
                        <div class="services-five-active">
                            <div class="service-item-five wow fadeInUp delay-0-2s">
                                <div class="row">
                                    <div class="col-lg-2 col-12 icon">
                                        <img src="assets/images/flexipersonnel/icons/executive.png" alt="Hero">
                                    </div>
                                    <div class="col-lg-10 col-12">
                                        <h5>Unmatched expertise</h5>
                                        <p>With years of experience in the executive search industry, our team has an unparalleled understanding of what it takes to identify and attract top-tier executive talent. We combine our industry expertise with a data-driven approach to deliver accurate and efficient results.</p> 
                                    </div>
                                </div>
                            </div>
                            <div class="service-item-five wow fadeInUp delay-0-4s">
                                <div class="row">
                                    <div class="col-lg-2 col-12 icon">
                                        <img src="assets/images/flexipersonnel/icons/executive-1.png" alt="Hero">
                                    </div>
                                    <div class="col-lg-10 col-12">
                                        <h5>Comprehensive industry coverage</h5>
                                        <p>We cover various industries and have experience working with clients across multiple sectors, from technology to healthcare to finance. Our comprehensive industry coverage means we can help you find top talent regardless of your business's specific needs or location.</p> 
                                    </div>
                                </div>
                            </div>
                            <div class="service-item-five wow fadeInUp delay-0-6s">
                                <div class="row">
                                    <div class="col-lg-2 col-12 icon">
                                        <img src="assets/images/flexipersonnel/icons/executive.png" alt="Hero">
                                    </div>
                                    <div class="col-lg-10 col-12">
                                        <h5>Proven track record</h5>
                                        <p>We have a proven track record of success in executive-level searches, having helped over 500 clients find the right talent for their organisations. Our firm's exceptional growth rate can be attributed to our ability to consistently outperform our competitors in every significant category of performance measurement. As a result, our clients have rated us higher in client satisfaction, a testament to our commitment to excellence in every aspect of our work.</p> 
                                    </div>
                                </div>
                            </div>
                            <div class="service-item-five wow fadeInUp delay-0-8s">
                                <div class="row">
                                    <div class="col-lg-2 col-12 icon">
                                        <img src="assets/images/flexipersonnel/icons/executive-1.png" alt="Hero">
                                    </div>
                                    <div class="col-lg-10 col-12">
                                        <h5>Rigorous screening process</h5>
                                        <p>Our executive search process is designed to be thorough and rigorous, ensuring we identify only the most qualified and best-fit candidates for your organisation. We use a range of psychometric assessments and evaluations to assess each candidate's skills, experience, and cultural fit, giving you the confidence that you're hiring the best person for the job</p> 
                                    </div>
                                </div>
                            </div>
                            <div class="service-item-five wow fadeInUp delay-0-2s">
                                <div class="row">
                                    <div class="col-lg-2 col-12 icon">
                                        <img src="assets/images/flexipersonnel/icons/executive-1.png" alt="Hero">
                                    </div>
                                    <div class="col-lg-10 col-12">
                                        <h5>Competitive Pricing</h5>
                                        <p>We offer competitive pricing for our executive search services, making it an affordable option for businesses of all sizes. Our pricing is transparent, with no hidden fees or charges, and we work with you to develop a customised search plan that fits within your budget.</p> 
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    
                </div>
                
            </div>
        </section>
        <!-- Why choose us Area End -->

        <!-- CTA Section Start -->
        <section class="cta-section pt-40 pb-40 rpt-35 rpb-35 rel z-2" id="getStartedForm">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="section-title text-center wow fadeInUp delay-0-2s"> 
                            <h2>Get the next great leader to take your organization to greater heights!</h2>
                            
                        </div>   
                    </div>
                </div>
                <form id="contactForm" class="contactForm mt-20" action="" name="contactForm" method="post">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Full Name*</label>
                                    <input type="text" id="name" name="name" class="form-control" value="" required data-error="Please enter your name">
                                    <div class="help-block with-errors"></div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Email Address*</label>
                                    <input type="email" id="email" name="email" class="form-control" value="" required data-error="Please enter your Email">
                                    <div class="help-block with-errors"></div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Telephone Number*</label>
                                    <input type="text" id="phone_number" name="phone_number" class="form-control" value="" required data-error="Please enter your Phone Number">
                                    <div class="help-block with-errors"></div>
                                </div>
                            </div>
                            
                            
                            <div class="col-md-3">
                                <div class="form-group mb-0 mt-35 rmt-10">
                                    <button type="submit" class="theme-btn white-btn" style="width:100%;height:38px;">Submit</button>
                                    <div id="msgSubmit" class="hidden"></div>
                                </div>
                            </div>
                        </div>
                    </form>
                   
            </div>
        </section>
        <!-- CTA Section End -->
        
        
     
        
        <!-- Start Footer -->
        <?php
        include('inc/footer.php');
        ?>
        <!-- End Footer -->
        
        
        <!-- Scroll Top Button -->
        <button class="scroll-top scroll-to-target" data-target="html"><span class="fas fa-angle-double-up"></span></button>

    </div>
    <!--End pagewrapper-->
   
    
    <!-- Start Footer Scripts -->
    <?php
    include('inc/footer-scripts.php');
    ?>
    <!-- End Footer Scripts -->

</body>
</html>