<!DOCTYPE html>
<html lang="zxx">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="description" content="">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Title -->
    <title>Employer of record service in Nigeria | FlexiPersonnel </title>

    <!-- Start Head -->
    <?php
    include('inc/head.php');
    ?>
    <!-- End Head -->
    
</head>
<body>
    <div class="page-wrapper">

       

        <!-- Start Header -->
        <?php
        include('inc/header.php');
        ?>
        <!-- End Header -->

       
        
        <!-- Hero Section Start -->
        <section class="hero-area bgc-gray rel z-1">
            <div class="container-fluid">
                <div class="row align-items-center">
                    <div class="col-lg-6 align-self-center">
                        <div class="hero-content pt-50 pb-50 rpb-20 rpt-20 wow fadeInUp delay-0-4s">
                            <h1>Employer of record service in <span class="primary-color">Nigeria</span></h1>
                            <p>Flexi-Personnel's Employer-of-Record (EOR) service enables you to expand your operations in Nigeria 
                                without the hassle of setting up a legal entity or dealing with employment regulations. 
                                Our EOR service allows you to outsource your companies’ employment responsibilities to us, 
                                meaning that we become the official employer for your staff in Nigeria.</p>
                            <a href="#getStartedForm" class="theme-btn mt-10 wow fadeInUp delay-0-6s"><span class="white-color">Get Started</span> <i class="fas fa-arrow-circle-right" style="font-size:20px;"></i></a>
                           
                        </div>
                    </div>
                    <div class="col-lg-6 align-self-center">
                        <div class="hero-images wow fadeInLeft delay-0-2s">
                            <img src="assets/images/flexipersonnel/nigeria.png" alt="Hero">
                        </div>
                    </div>
                </div>
            </div>
           
        </section>
        <!-- Hero Section End -->

        <!-- Makes Us Different Start -->
        <section class="services-area-five pt-40 rpt-30 pb-40 rpb-20 rel z-2 d-none d-sm-block">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6 align-self-center">
                        <div class="consultations-video hero-images wow fadeInLeft delay-0-2s">
                            <img src="assets/images/flexipersonnel/lagos.png" alt="Hero">
                           
                        </div> 
                    </div>
                    <div class="col-lg-6 align-self-center">
                        <div class="section-title mb-55 rmb-20 wow fadeInUp delay-0-2s"> 
                            <h2>Nigeria overview</h2>
                            <p>Nigeria is located in West Africa, with a population of approximately 220 million people. The country's capital is Abuja, and other major cities include Lagos, Kano, Ibadan, and Kaduna. The official language of Nigeria is English, with Yoruba, Igbo, Fula, and Hausa being the major regional languages spoken.</p>
                            <p>Nigeria has a diversified economy with a Gross Domestic Product (GDP) of $432.29 billion in 2021, making it the largest economy in Africa. The country's economy is heavily dependent on oil exports, which account for over 90% of the country's total exports. However, Nigeria has been trying to diversify its economy, with the agriculture and services sectors showing significant growth in recent years.</p>
                        </div>
                    </div>
                </div>
                
            </div>
        </section>
        <!-- Makes Us Different Area End -->


        <!-- Accordion start -->
        <section class="about-area-four pt-20 pb-30 rpt-30 rpb-30  rel z-2">
            <div class="container">
                <div class="row align-items-center">
                    
                    <div class="col-xl-12 col-lg-12">
                        <div class="about-four-content rmb-10  rel z-1 wow fadeInLeft delay-0-2s">
                            <div class="accordion" id="myAccordion">
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingOne">
                                        <button type="button" class="accordion-button" data-bs-toggle="collapse" data-bs-target="#collapseOne">
                                        <i class="fas fa-user pr-10" aria-hidden="true"></i> Flexi- Personnel EOR Services in Nigeria</button>									
                                    </h2>
                                    <div id="collapseOne" class="accordion-collapse collapse show" data-bs-parent="#myAccordion">
                                        <div class="card-body">
                                            <div class="row">
                                                <div class="col-lg-12 col-12">
                                                    <div class="d-flex">
                                                        <div class="pr-10">
                                                            <img src="assets/images/flexipersonnel/icons/checkmark.png" style="max-width:inherit;" alt="icons">
                                                        </div>
                                                        <div>
                                                            <h5>Payroll Processing</h5>
                                                            <p>Flexi-Personnel handles all aspects of payroll processing, including calculating employee salaries, taxes, and deductions, processing payments, and generating payslips. They also manage employee reimbursements and handle any payroll-related queries.</p> 
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-12 col-12">
                                                    <div class="d-flex">
                                                        <div class="pr-10">
                                                            <img src="assets/images/flexipersonnel/icons/checkmark.png" style="max-width:inherit;" alt="icons">
                                                        </div>
                                                        <div>
                                                            <h5>Tax Compliance</h5>
                                                            <p>At Flexi- Personnel we ensure that you comply with all relevant tax laws and regulations in Nigeria. We handle tax registrations, deductions, and filings on your behalf.</p>  
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-12 col-12">
                                                    <div class="d-flex">
                                                        <div class="pr-10">
                                                            <img src="assets/images/flexipersonnel/icons/checkmark.png" style="max-width:inherit;" alt="icons">
                                                        </div>
                                                        <div>
                                                            <h5>Benefits Administration</h5>
                                                            <p>Our team offers a range of employee benefits, such as health insurance, retirement plans, and vacation policies. We manage all aspects of benefits administration, including enrollment, claims processing, and compliance.</p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-lg-12 col-12">
                                                    <div class="d-flex">
                                                        <div class="pr-10">
                                                            <img src="assets/images/flexipersonnel/icons/checkmark.png" alt="icons" style="max-width:inherit;">
                                                        </div>
                                                        <div>
                                                            <h5>Legal Compliance</h5>
                                                            <p>Our legal team helps you and your company to comply with all relevant labor laws and regulations in Nigeria. Our lawyers handle employment contracts, termination procedures, and employee grievances.</p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-lg-12 col-12">
                                                    <div class="d-flex">
                                                        <div class="pr-10">
                                                            <img src="assets/images/flexipersonnel/icons/checkmark.png" style="max-width:inherit;" alt="icons">
                                                        </div>
                                                        <div>
                                                            <h5>Recruitment and Staffing</h5>
                                                            <p>Flexi-Personnel provides recruitment and staffing services to its clients. They help companies find and hire the right talent for their needs, including temporary, permanent, and contract positions.</p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingTwo">
                                        <button type="button" class="accordion-button collapsed" data-bs-toggle="collapse" data-bs-target="#collapseTwo">
                                        <i class="fas fa-user pr-10" aria-hidden="true"></i> Flexi - Personnel Executive Search Process</button>
                                    </h2>
                                    <div id="collapseTwo" class="accordion-collapse collapse" data-bs-parent="#myAccordion">
                                        <div class="card-body">
                                            
                                        </div>
                                    </div>
                                </div>
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingThree">
                                        <button type="button" class="accordion-button collapsed" data-bs-toggle="collapse" data-bs-target="#collapseThree">
                                        <i class="fas fa-user pr-10" aria-hidden="true"></i> Employment Dynamics in Nigeria</button>                     
                                    </h2>
                                    <div id="collapseThree" class="accordion-collapse collapse" data-bs-parent="#myAccordion">
                                        <div class="card-body">
                                            
                                        </div>
                                    </div>
                                </div>
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingThree">
                                        <button type="button" class="accordion-button collapsed" data-bs-toggle="collapse" data-bs-target="#collapseThree">
                                        <i class="fas fa-user pr-10" aria-hidden="true"></i> Payroll and Taxes in Nigeria</button>                     
                                    </h2>
                                    <div id="collapseThree" class="accordion-collapse collapse" data-bs-parent="#myAccordion">
                                        <div class="card-body">
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        </div>
                    </div>
                    
                </div>
            </div>
        </section>
        <!-- Accordion end -->

        <!-- Why choose us Start -->
        <section class="services-area-five pt-40 rpt-30 pb-40 rpb-20 rel z-2 d-none d-sm-block">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="section-title text-center mb-55 rmb-20 wow fadeInUp delay-0-2s"> 
                            <h2>Why choose Flexi-Personnel employer of record services in Nigeria</h2>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-lg-6">
                        <div class="row">
                            <div class="col-lg-2 col-3">
                                <img src="assets/images/flexipersonnel/icons/executive.png" alt="Hero">
                            </div>
                            <div class="col-lg-10 col-9">
                                <h5>Compliance with Nigerian employment laws:</h5>
                                <p>company will be fully compliant with Nigerian employment laws and regulations. We stay up-to-date on the latest employment laws, ensuring that your company remains in good standing with the relevant authorities.</p> 
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="row">
                            <div class="col-lg-2 col-3">
                                <img src="assets/images/flexipersonnel/icons/executive-1.png" alt="Hero">
                            </div>
                            <div class="col-lg-10 col-9">
                                <h5>Reduced administrative burden:</h5>
                                <p>Managing payroll, taxes, and employment contracts can be a time-consuming and complicated process. Our EOR service takes care of all these tasks, freeing up your company's time and resources to focus on core business operations.</p> 
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="row">
                            <div class="col-lg-2 col-3">
                                <img src="assets/images/flexipersonnel/icons/executive.png" alt="Hero">
                            </div>
                            <div class="col-lg-10 col-9">
                                <h5>Quick and easy onboarding:</h5>
                                <p>Our experts offer a streamlined onboarding process, allowing your company to start operating in Nigeria quickly and efficiently. We handle all the necessary paperwork and legal requirements, ensuring a smooth transition into the Nigerian market.</p> 
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="row">
                            <div class="col-lg-2 col-3">
                                <img src="assets/images/flexipersonnel/icons/executive-1.png" alt="Hero">
                            </div>
                            <div class="col-lg-10 col-9">
                                <h5>Flexibility and scalability:</h5>
                                <p>We offer flexibility and scalability to meet your company's unique needs. Whether you need to hire one employee or an entire team, we can provide customized solutions to support your business growth.</p> 
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="row">
                            <div class="col-lg-2 col-3">
                                <img src="assets/images/flexipersonnel/icons/executive-1.png" alt="Hero">
                            </div>
                            <div class="col-lg-10 col-9">
                                <h5>Risk mitigation:</h5>
                                <p>Operating in a new market can come with inherent risks, but our EOR service can help mitigate those risks. We handle all legal and compliance matters, reducing the risk of penalties or legal issues.</p> 
                            </div>
                        </div>
                    </div>
                </div>
 
            </div>
        </section>
        <!-- Why choose us End -->

        <!-- Why choose us Area Start -->
        <section class="services-area-five text-center pt-40 rpt-30 pb-40 rpb-20 rel z-2 d-sm-none d-md-block d-md-none d-lg-block d-lg-none d-xl-block d-xl-none">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="section-title text-center mb-55 rmb-20 wow fadeInUp delay-0-2s"> 
                            <h2>Why choose Flexi-Personnel employer of record services in Nigeria</h2>
                        </div>
                        <div class="services-five-active">
                            <div class="service-item-five wow fadeInUp delay-0-2s">
                                <div class="row">
                                    <div class="col-lg-2 col-12 icon">
                                        <img src="assets/images/flexipersonnel/icons/executive.png" alt="Hero">
                                    </div>
                                    <div class="col-lg-10 col-12">
                                        <h5>Compliance with Nigerian employment laws:</h5>
                                        <p>Company will be fully compliant with Nigerian employment laws and regulations. We stay up-to-date on the latest employment laws, ensuring that your company remains in good standing with the relevant authorities.</p> 
                                    </div>
                                </div>
                            </div>
                            <div class="service-item-five wow fadeInUp delay-0-4s">
                                <div class="row">
                                    <div class="col-lg-2 col-12 icon">
                                        <img src="assets/images/flexipersonnel/icons/executive-1.png" alt="Hero">
                                    </div>
                                    <div class="col-lg-10 col-12">
                                        <h5>Reduced administrative burden:</h5>
                                        <p>Managing payroll, taxes, and employment contracts can be a time-consuming and complicated process. Our EOR service takes care of all these tasks, freeing up your company's time and resources to focus on core business operations.</p> 
                                    </div>
                                </div>
                            </div>
                            <div class="service-item-five wow fadeInUp delay-0-6s">
                                <div class="row">
                                    <div class="col-lg-2 col-12 icon">
                                        <img src="assets/images/flexipersonnel/icons/executive.png" alt="Hero">
                                    </div>
                                    <div class="col-lg-10 col-12">
                                        <h5>Quick and easy onboarding:</h5>
                                        <p>Our experts offer a streamlined onboarding process, allowing your company to start operating in Nigeria quickly and efficiently. We handle all the necessary paperwork and legal requirements, ensuring a smooth transition into the Nigerian market.</p> 
                                    </div>
                                </div>
                            </div>
                            <div class="service-item-five wow fadeInUp delay-0-8s">
                                <div class="row">
                                    <div class="col-lg-2 col-12 icon">
                                        <img src="assets/images/flexipersonnel/icons/executive-1.png" alt="Hero">
                                    </div>
                                    <div class="col-lg-10 col-12">
                                        <h5>Flexibility and scalability:</h5>
                                        <p>We offer flexibility and scalability to meet your company's unique needs. Whether you need to hire one employee or an entire team, we can provide customized solutions to support your business growth.</p> 
                                    </div>
                                </div>
                            </div>
                            <div class="service-item-five wow fadeInUp delay-0-2s">
                                <div class="row">
                                    <div class="col-lg-2 col-12 icon">
                                        <img src="assets/images/flexipersonnel/icons/executive-1.png" alt="Hero">
                                    </div>
                                    <div class="col-lg-10 col-12">
                                        <h5>Risk mitigation:</h5>
                                        <p>Operating in a new market can come with inherent risks, but our EOR service can help mitigate those risks. We handle all legal and compliance matters, reducing the risk of penalties or legal issues.</p> 
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    
                </div>
                
            </div>
        </section>
        <!-- Why choose us Area End -->

        <!-- CTA Section Start -->
        <section class="cta-section pt-40 pb-40 rpt-35 rpb-35 rel z-2" id="getStartedForm">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="section-title text-center wow fadeInUp delay-0-2s"> 
                            <h2>Let us help you with Employer of Record Services in Nigeria</h2>
                            
                        </div>   
                    </div>
                </div>
                <form id="contactForm" class="contactForm mt-20" action="" name="contactForm" method="post">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Full Name*</label>
                                    <input type="text" id="name" name="name" class="form-control" value="" required data-error="Please enter your name">
                                    <div class="help-block with-errors"></div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Email Address*</label>
                                    <input type="email" id="email" name="email" class="form-control" value="" required data-error="Please enter your Email">
                                    <div class="help-block with-errors"></div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Telephone Number*</label>
                                    <input type="text" id="phone_number" name="phone_number" class="form-control" value="" required data-error="Please enter your Phone Number">
                                    <div class="help-block with-errors"></div>
                                </div>
                            </div>
                            
                            
                            <div class="col-md-3">
                                <div class="form-group mb-0 mt-35 rmt-10">
                                    <button type="submit" class="theme-btn white-btn" style="width:100%;height:38px;">Submit</button>
                                    <div id="msgSubmit" class="hidden"></div>
                                </div>
                            </div>
                        </div>
                    </form>
                   
            </div>
        </section>
        <!-- CTA Section End -->

        <!-- Other Countries Start -->
        <section class="services-area-five text-center pt-40 rpt-30 pb-20 rpb-20 rel z-2">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12 align-self-center">
                        <div class="section-title mb-35 rmb-20 wow fadeInUp delay-0-2s"> 
                            <h2>Other Countries</h2>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-lg-2 col-4 align-self-center">
                        <div class="section-title mb-35 rmb-20 wow fadeInUp delay-0-2s">
                            <img src="assets/images/flexipersonnel/countries/kenya.png" alt="Hero"> 
                            <h5>Kenya</h5>
                        </div>
                    </div>
                    <div class="col-lg-2 col-4 align-self-center">
                        <div class="section-title mb-35 rmb-20 wow fadeInUp delay-0-2s">
                            <img src="assets/images/flexipersonnel/countries/uganda.png" alt="Hero"> 
                            <h5>Uganda</h5>
                        </div>
                    </div>
                    <div class="col-lg-2 col-4 align-self-center">
                        <div class="section-title mb-35 rmb-20 wow fadeInUp delay-0-2s">
                            <img src="assets/images/flexipersonnel/countries/tanzania.png" alt="Hero"> 
                            <h5>Tanzania</h5>
                        </div>
                    </div>
                    <div class="col-lg-2 col-4 align-self-center">
                        <div class="section-title mb-35 rmb-20 wow fadeInUp delay-0-2s">
                            <img src="assets/images/flexipersonnel/countries/rwanda.png" alt="Hero"> 
                            <h5>Rwanda</h5>
                        </div>
                    </div>
                    <div class="col-lg-2 col-4 align-self-center">
                        <div class="section-title mb-35 rmb-20 wow fadeInUp delay-0-2s">
                            <img src="assets/images/flexipersonnel/countries/ethiopia.png" alt="Hero"> 
                            <h5>Ethiopia</h5>
                        </div>
                    </div>
                    <div class="col-lg-2 col-4 align-self-center">
                        <div class="section-title mb-35 rmb-20 wow fadeInUp delay-0-2s">
                            <img src="assets/images/flexipersonnel/countries/ghana.png" alt="Hero"> 
                            <h5>Ghana</h5>
                        </div>
                    </div>
                </div>
                
            </div>
        </section>
        <!-- Other Countries End -->
        
        
     
        
        <!-- Start Footer -->
        <?php
        include('inc/footer.php');
        ?>
        <!-- End Footer -->
        
        
        <!-- Scroll Top Button -->
        <button class="scroll-top scroll-to-target" data-target="html"><span class="fas fa-angle-double-up"></span></button>

    </div>
    <!--End pagewrapper-->
   
    
    <!-- Start Footer Scripts -->
    <?php
    include('inc/footer-scripts.php');
    ?>
    <!-- End Footer Scripts -->

</body>
</html>